Как установить "Samba3 (AD)"?



  • Уважаемые коллеги!

    Имеется сервер на pfSense 2.3.3, надо поднять (и по возможности проапгрейдить) аналогичный с нуля.
    В веб-интерфейсе в Services есть пункт меню "Samba3 (AD)", команда pkg info показывает что установлен пакет samba36-3.6.25_3.

    Два вопроса:

    1. как установить этот "Samba3 (AD)"?
    2. будет ли "Samba3 (AD)" работать на pfSense 2.3.4?

    Все известные мне виды поиска информации в интернете не помогли…

    Спасибо!
    ![Screen Shot 2017-08-27 at 00.17.30.png](/public/imported_attachments/1/Screen Shot 2017-08-27 at 00.17.30.png)
    ![Screen Shot 2017-08-27 at 00.17.30.png_thumb](/public/imported_attachments/1/Screen Shot 2017-08-27 at 00.17.30.png_thumb)



  • Доброе.
    Отсюда (?) - https://projetos.mundounix.com.br/en/index.html



  • Лично у меня samba3 так и не заработала на 2.3.4. А вот samba4 без проблем пашет - на этой неделе уже 2 шлюза поднял.
    Ставить отсюда - https://github.com/pf2ad/pf2ad/tree/2.3.4-SAMBA4.

    Перед установкой samba4 лучше удали 3-ю.



  • @Igor:

    Лично у меня samba3 так и не заработала на 2.3.4. А вот samba4 без проблем пашет - на этой неделе уже 2 шлюза поднял.

    Поделитесь магией.
    На чистой пфсенсе 2.3.4 делаю апдейт+апгрейд
    Выполняю в терминале```
    fetch -q -o - https://pkg.mundounix.com.br/pfsense/2.3.4-samba4/samba/pf2ad.sh | sh

    testparm и samba-tool выдают ошибку:
    

    /usr/local/lib/samba4/libsmbconf.so.0: Undefined symbol "yp_match"



  • @benderator:

    На чистой пфсенсе 2.3.4 делаю апдейт+апгрейд

    Что имеется в виду под "апдейт+апгрейд"?

    testparm и samba-tool выдают ошибку:

    /usr/local/lib/samba4/libsmbconf.so.0: Undefined symbol "yp_match"
    

    Вы Самбу ставили только кастомную, или в системе есть какие-то пакеты другой Самбы? Просто у меня нет samba-tool. И вот тут https://forum.pfsense.org/index.php?topic=129160.0, насколько я понял, человек пытается поставить самбу из фряшных пакетов, у него такая же ошибка.



  • benderator
    Без понятия. Обошёлся без магии - никаких ошибок не было.

    SEA80 дело говорит - никаких других самб не должно быть. samba-tool не установлен, testparm выдаёт:

    Load smb config files from /usr/local/etc/smb4.conf
    Loaded services file OK
    Server role: ROLE_DOMAIN_MEMBER